package org.dynmap.factions.runnable;

import org.dynmap.factions.DynmapFactionsPlugin;

public class PlayerSetUpdate implements Runnable {

    private final DynmapFactionsPlugin dynmapFactionsPlugin;
    private final String faction;

    public PlayerSetUpdate(DynmapFactionsPlugin dynmapFactionsPlugin, String fid) {
        this.dynmapFactionsPlugin = dynmapFactionsPlugin;
        faction = fid;
    }

    public void run() {
        if (!dynmapFactionsPlugin.isStop()) {
            dynmapFactionsPlugin.updatePlayerSet(faction);
        }
    }

}
